libcdr::CDRCharacterStyle Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libcdr::CDRCharacterStyle Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRCharacterStyle ()
void | overrideCharacterStyle (const CDRCharacterStyle &override)

## Public Attributes
unsigned short | m_charSet
librevenge::RVNGString | m_fontName
double | m_fontSize
unsigned | m_align
double | m_leftIndent
double | m_firstIndent
double | m_rightIndent
CDRLineStyle | m_lineStyle
CDRFillStyle | m_fillStyle
unsigned | m_parentId

## Constructor & Destructor Documentation

libcdr::CDRCharacterStyle::CDRCharacterStyle | ( |  | ) |
| inline

## Member Function Documentation

void libcdr::CDRCharacterStyle::overrideCharacterStyle | ( | const CDRCharacterStyle & | override | ) |
| inline

Referenced by libcdr::CDRStylesCollector::collectText(), and libcdr::CDRStylesCollector::getRecursedStyle().

## Member Data Documentation

unsigned libcdr::CDRCharacterStyle::m_align

Referenced by libcdr::CDRParser::_readX6StyleString(), libcdr::CDRParser::readStlt(), and libcdr::CDRParser::readStyd().

unsigned short libcdr::CDRCharacterStyle::m_charSet

Referenced by libcdr::CDRParser::_readX6StyleString(), libcdr::CDRStylesCollector::collectText(), libcdr::CDRParser::readStlt(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTxsm(), libcdr::CDRParser::readTxsm5(), and libcdr::CDRParser::readTxsm6().

CDRFillStyle libcdr::CDRCharacterStyle::m_fillStyle

Referenced by libcdr::CDRParser::_readX6StyleString(), libcdr::CDRParser::readStlt(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTxsm(), libcdr::CDRParser::readTxsm5(), and libcdr::CDRParser::readTxsm6().

double libcdr::CDRCharacterStyle::m_firstIndent

Referenced by libcdr::CDRParser::readStlt().

librevenge::RVNGString libcdr::CDRCharacterStyle::m_fontName

Referenced by libcdr::CDRParser::_readX6StyleString(), libcdr::CDRParser::readStlt(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTxsm(), libcdr::CDRParser::readTxsm5(), and libcdr::CDRParser::readTxsm6().

double libcdr::CDRCharacterStyle::m_fontSize

Referenced by libcdr::CDRParser::_readX6StyleString(), libcdr::CDRParser::readStlt(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTxsm(), libcdr::CDRParser::readTxsm5(), and libcdr::CDRParser::readTxsm6().

double libcdr::CDRCharacterStyle::m_leftIndent

Referenced by libcdr::CDRParser::readStlt().

CDRLineStyle libcdr::CDRCharacterStyle::m_lineStyle

Referenced by libcdr::CDRParser::_readX6StyleString(), libcdr::CDRParser::readStlt(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTxsm(), libcdr::CDRParser::readTxsm5(), and libcdr::CDRParser::readTxsm6().

unsigned libcdr::CDRCharacterStyle::m_parentId

Referenced by libcdr::CDRParser::readStlt(), and libcdr::CDRParser::readStyd().

double libcdr::CDRCharacterStyle::m_rightIndent

Referenced by libcdr::CDRParser::readStlt().

The documentation for this struct was generated from the following file:

- CDRTypes.h